function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"2",100,"messageinfo")  
-- return;end;
showoptons(0);
return;end;

function mini_create ()
	show_help_wnd=true;
	init_mini(1);
	create_mini(19,12,30,400,100,650,500,1001,3,8,0,1001);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"2",100,"messageinfo")
		end;	
	   BlockCursor(false);
	return;end;
	if sender==30 then
		setcurentleaf("gangster",7,0);
		DarkScreen(false);
		if flags.minicomplete3 then
		    StopEmiter("Box");
			Set_Cursor(33,3);
			collaps_obj(16,0,0,0,0);
			setcolor(16,0,0,0,0.5,1);
			flags.minitext1=true;
	
		return;end
	return; end;
	if sender==36 then
	if id==2100 then
		BlockCursor(false);
		clear_satelite_leaf("gangster");
	return;end;	
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete3=true;
		playeffect("miniC");
		speciale_action(2,1022);
		StartTimer(2100,3)
		BlockCursor(true);
	return; end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then	
		-- if id==1026 then
		   -- clear_satelite_leaf("robert_room");
		-- return;end;
		if id==6000 then
		   CreateWindow(200,200,"2",100,"messageinfo")
		return;end;	
		
		if objectid==0 then
	
			if id==5000 and skipping then
				if not flags.minicomplete3 then
					playeffect("skip");
					SkipMini();
				return;end;	
			return;end;
			if id==1000 then
				playeffect("close");
				clear_satelite_leaf("gangster");
				DeleteResource("cm_parts");
				DeleteResource("cm_bg");
				DeleteResource("cm_btn");		
				DeleteResource("cm_address");					
			return;end;
			if not flags.minicomplete3 then			
				if id>=1001 and id<=1012 then --нажимаем на часть телеграммы
					add_to_mouse(id);
					mousepresed=true;
					objectid=id;
				return 0; end	
			return; end; 
		return; end; 
	return; end;  	

	if sender == 6 --Отпустили левую кнопку мышки
	then		
		if mousepresed==true
		then
			playeffect("pclick");
			RemoveFromMouse(objectid);
			check_mini_game_puzzle(objectid);
			mousepresed=false;
			objectid=0;
		end
	return; end;	
end;
function mini_delete ()

end;